Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.event
Class EventManager

    java.lang.Object
      org.flexdock.event.EventManager

    public class EventManager

extends Object

Author:
  Christopher Butler

Method Summary
`void` | `addEventHandler(EventHandler handler)`
`void` | `addEventListener(EventListener listener)`
`static void` | `addHandler(EventHandler handler)`
`static void` | `addListener(EventListener listener)`
`static void` | `dispatch(Event evt)`
`static void` | `dispatch(Event evt, Object target)`
`static void` | `dispatch(Event evt, Object[] targets)`
`void` | `dispatchEvent(Event evt)`
`void` | `dispatchEvent(Event evt, Object target)`
`void` | `dispatchEvent(Event evt, Object[] targets)`
`static EventManager` | `getInstance()`
`void` | `removeEventHandler(EventHandler handler)`
`void` | `removeEventListener(EventListener listener)`
`static void` | `removeHandler(EventHandler handler)`
`static void` | `removeListener(EventListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EventManager getInstance()

### addHandler

    public static void addHandler(EventHandler handler)

### removeHandler

    public static void removeHandler(EventHandler handler)

### addListener

    public static void addListener(EventListener listener)

### removeListener

    public static void removeListener(EventListener listener)

### dispatch

    public static void dispatch(Event evt)

### dispatch

    public static void dispatch(Event evt,
                                Object target)

### dispatch

    public static void dispatch(Event evt,
                                Object[] targets)

### addEventHandler

    public void addEventHandler(EventHandler handler)

### removeEventHandler

    public void removeEventHandler(EventHandler handler)

### addEventListener

    public void addEventListener(EventListener listener)

### removeEventListener

    public void removeEventListener(EventListener listener)

### dispatchEvent

    public void dispatchEvent(Event evt)

### dispatchEvent

    public void dispatchEvent(Event evt,
                              Object target)

### dispatchEvent

    public void dispatchEvent(Event evt,
                              Object[] targets)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD